Bug 389717 - Settings page: rename to be "Sources" and put the page title in the header
Summary: Settings page: rename to be "Sources" and put the page title in the header
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on: 390347 390349
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-31 18:53 UTC by Nate Graham
Modified: 2018-11-10 03:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 5.15.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-01-31 18:53:22 UTC
That would be a more centrally-located place for it anyway, and would get rid of the issue of the Settings page having only one "real" item on its toolbar.

Then, we can move the "Check for Updates" button into the Updates page.

With that done, the now-empty toolbar on the settings page can contain the page nameu as header text. And maybe as a part of that, we could consider changing the page name from "Settings" to "Software Sources"
Comment 1 Nate Graham 2018-01-31 18:55:12 UTC
Or if putting the Help menu on the sidebar is too awful: here's a radical thought: actually have a real menubar on the top of the window, at least in Desktop mode. People keep complaining that Discover looks too much like a mobile app while in Desktop mode. This might help, and could be a good place to hide some of the advanced and infrequently used functionality that we seem to persistently have a hard time placing.
Comment 2 Nate Graham 2018-02-22 18:32:39 UTC
Maybe we can do this even without Bug 390349 once https://phabricator.kde.org/D10475 lands and Kirigami supports titles on toolbars with context items?
Comment 3 Aleix Pol 2018-11-08 17:23:30 UTC
Git commit b446d7e23123c6c50d19f1ec72b5a291229da045 by Aleix Pol.
Committed on 08/11/2018 at 17:18.
Pushed by apol into branch 'master'.

Rename "Settings" back into "Sources"

M  +1    -1    discover/qml/DiscoverDrawer.qml
M  +3    -4    discover/qml/DiscoverWindow.qml

https://commits.kde.org/discover/b446d7e23123c6c50d19f1ec72b5a291229da045
Comment 4 Nate Graham 2018-11-10 03:46:41 UTC
Git commit c693800980afd0fba86a78bdc84bd951a6eaa6a3 by Nate Graham.
Committed on 10/11/2018 at 03:45.
Pushed by ngraham into branch 'master'.

Use correct name on Sources page itself

M  +1    -1    discover/qml/SourcesPage.qml

https://commits.kde.org/discover/c693800980afd0fba86a78bdc84bd951a6eaa6a3